Summary:	Protect apache against the slowloris attack.
Name:		mod_qos
Version:	9.21
Release:	6.3
Group:		System Environment/Daemons
URL:		http://localhost/mod_qos/
Source0:	http://localhost/mod_qos/mod_qos-%{version}.tar.bz2
Source1:	mod_qos.conf.rh
License:	Apache Licence 2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	httpd-devel >= 2.0.40-6 pcre-devel openssl-devel
Requires:	httpd >= 2.0.40

%description
With this module, apache is protected against the slowloris attack. The module limits the
number of threads in READ state on a per IP basis. 

%prep
%setup -q

%build
cd apache2
%{_sbindir}/apxs -c %{name}.c
mv .libs/%{name}.so .
%{__strip} -g %{name}.so
cd ../tools
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
cd apache2
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
cd ../tools
install -D -m755 qslog $RPM_BUILD_ROOT%{_sbindir}/qslog

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_qos.conf.rh \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_qos.conf
    
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.TXT
%doc doc
%attr(755,root,root)%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_sbindir}/qslog

%changelog
* Thu Jul 08 2010 Carstne Schoene <cs@linux-administrator.com> - 9.21-1
- initial build
